module gitlab.mashroom.com/mashroom/backend/offer

go 1.16

replace gitlab.mashroom.com/mashroom/backend/offer/api => ./api

replace gitlab.mashroom.com/mashroom/backend/offer/api/rto => ./api/rto

require (
	github.com/camunda-cloud/zeebe/clients/go v1.3.14
	github.com/go-bindata/go-bindata/v3 v3.1.3
	github.com/golang/mock v1.6.0
	github.com/golang/protobuf v1.5.2
	github.com/joho/godotenv v1.3.0
	github.com/pkg/errors v0.9.1
	github.com/smartystreets/goconvey v1.7.2
	github.com/stretchr/testify v1.8.0
	gitlab.mashroom.com/mashroom/backend/account/api v0.0.0-20230125155824-337de085805e
	gitlab.mashroom.com/mashroom/backend/cardpayment/api v0.0.0-20230125155844-54dec4cd4095
	gitlab.mashroom.com/mashroom/backend/closecom/api v0.0.0-20230216103529-5163f8bc6b5f
	gitlab.mashroom.com/mashroom/backend/common/api v0.0.0-20230125160209-3db4efc2e24a
	gitlab.mashroom.com/mashroom/backend/common/generic v0.0.0-20230125160209-3db4efc2e24a
	gitlab.mashroom.com/mashroom/backend/common/lib v0.0.0-20230125160209-3db4efc2e24a
	gitlab.mashroom.com/mashroom/backend/contract/api v0.0.0-20230125160138-39306ca18733
	gitlab.mashroom.com/mashroom/backend/document/api v0.0.0-20230125160136-321e690fffb8
	gitlab.mashroom.com/mashroom/backend/expenses/api v0.0.0-20230125160135-2d61917ad6dd
	gitlab.mashroom.com/mashroom/backend/extras/api v0.0.0-20230125155820-83da898d595f
	gitlab.mashroom.com/mashroom/backend/identity/api v0.0.0-20230125160127-3d13b025dcf6
	gitlab.mashroom.com/mashroom/backend/invitation/api v0.0.0-20230125160124-7ff9cd917be3
	gitlab.mashroom.com/mashroom/backend/invoice/api v0.0.0-20230216104254-512ba0589caf
	gitlab.mashroom.com/mashroom/backend/listing/api v0.0.0-20230125155757-c509d254fd9b
	gitlab.mashroom.com/mashroom/backend/messaging/api v0.0.0-20230125155823-927da071b1ac
	gitlab.mashroom.com/mashroom/backend/mixpanel/api v0.0.0-20230125160038-7672ea1ddda8
	gitlab.mashroom.com/mashroom/backend/notification/api v0.0.0-20230216103340-dcf34379391e
	gitlab.mashroom.com/mashroom/backend/offer/api v0.0.0-20230125155840-7be4c335b473
	gitlab.mashroom.com/mashroom/backend/offer/api/rto v0.0.0-20230125155840-7be4c335b473
	gitlab.mashroom.com/mashroom/backend/property/api v0.0.0-20230125160650-6f0b2075cc64
	gitlab.mashroom.com/mashroom/backend/schedule/api v0.0.0-20230125160609-46fedf43cf8c
	gitlab.mashroom.com/mashroom/backend/signature/api v0.0.0-20230125160543-bc36669da79f
	gitlab.mashroom.com/mashroom/backend/tenancy/api v0.0.0-20230125160437-f59a07d107b2
	gitlab.mashroom.com/mashroom/backend/tokenio/api v0.0.0-20230125160352-354bab24e5ed
	gitlab.mashroom.com/mashroom/backend/viewing/api v0.0.0-20230125160323-abbd4d0da74f
	gitlab.mashroom.com/mashroom/backend/zeebe/api v0.0.0-20230125160245-a4cdd3ac27aa
	go.mongodb.org/mongo-driver v1.11.0
	golang.org/x/tools v0.1.5
	google.golang.org/protobuf v1.28.1
)

require (
	github.com/asaskevich/govalidator v0.0.0-20210307081110-f21760c49a8d // indirect
	github.com/davecgh/go-spew v1.1.1
	github.com/google/go-cmp v0.5.9 // indirect
	github.com/grpc-ecosystem/go-grpc-middleware v1.2.2 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/mailru/easyjson v0.7.6 // indirect
	github.com/oklog/oklog v0.3.2
	github.com/oklog/run v1.1.0 // indirect
	github.com/olivere/elastic v6.2.35+incompatible // indirect
	github.com/opentracing/opentracing-go v1.2.0
	github.com/uber/jaeger-client-go v2.25.0+incompatible // indirect
	github.com/uber/jaeger-lib v2.4.0+incompatible // indirect
	go.uber.org/dig v1.15.0
)
