package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type UpdateStateToCancelledRequest struct {
	ID string
}

func (ustcr *UpdateStateToCancelledRequest) Validate() error {
	if ustcr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
