package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type UpdateStateToWaitingForFirstRentPaymentRequest struct {
	ID string
}

func (ustwffrpr *UpdateStateToWaitingForFirstRentPaymentRequest) Validate() error {
	if ustwffrpr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
