package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type UpdateStateToWaitingForStandingOrderSetupRequest struct {
	ID         string
	LandlordID string
}

func (ustwfsosr *UpdateStateToWaitingForStandingOrderSetupRequest) Validate() error {
	if ustwfsosr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if ustwfsosr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
