package response

import (
	api "gitlab.mashroom.com/mashroom/backend/offer/api/rto"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/app/domain/rto"
)

type RtosResponse struct {
	Rtos []*rto.Rto
}

func (rr *RtosResponse) GetApiRtos() []*api.Rto {
	var rtos []*api.Rto
	for _, rtoModel := range rr.Rtos {
		rtos = append(rtos, rtoModel.CreateApiRto())
	}

	return rtos
}
