package rto_test

import (
	"context"
	"os"
	"testing"

	domain "gitlab.mashroom.com/mashroom/backend/offer/internal/app/domain/rto"
	"gitlab.mashroom.com/mashroom/backend/offer/test"
)

var (
	ctx               context.Context
	repository        domain.Repository
	historyRepository domain.HistoryRepository
)

func TestMain(m *testing.M) {
	mySetupFunction()
	retCode := m.Run()
	myTeardownFunction()
	os.Exit(retCode)
}

func mySetupFunction() {
	println("start use case rto package testing")

	ctx, repository, historyRepository = test.InitRtoTests(test.TestConfigPathForRtoUseCases)
}

func myTeardownFunction() {
	println("success end use case rto package testing")
}
