package status

import (
	"context"

	contract "gitlab.mashroom.com/mashroom/backend/contract/api"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/connections"
	"gitlab.mashroom.com/mashroom/backend/offer/model"
)

// CreateContract - is ...
func CreateContract(ctx context.Context, bs []byte, draft bool) (string, error) {
	resp, err := connections.ContractService.Render(ctx, &contract.RenderRequest{
		Id:         model.TemplateASTID,
		Format:     contract.ContractFormat_PDF,
		ValuesJson: bs,
	})
	if err != nil {
		return "", err
	}
	return resp.Fileid, nil
}
