package rto

import (
	"time"

	api "gitlab.mashroom.com/mashroom/backend/offer/api/rto"
)

type DateColumnName string

const (
	DateColumnNameCreatedAt = "created_at"
	DateColumnNameUpdatedAt = "updated_at"
	DateColumnNameEndDate   = "conditions.end_date"
)

type Filter struct {
	DateFrom         time.Time
	DateTo           time.Time
	NotificationType NotificationType
	DateColumnName   DateColumnName
	States           []api.RtoState
}

func (f *Filter) GetDateColumnName() string {
	return string(f.DateColumnName)
}
