package service

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type CanTenantUpdateRtoRequest struct {
	ID       string
	TenantID string
}

func (cturr *CanTenantUpdateRtoRequest) Validate() error {
	if cturr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}
	if cturr.TenantID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "tenant_id")
	}

	return nil
}
