package service

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type IsVeriffValidRequest struct {
	LandlordID string
}

func (ivvr *IsVeriffValidRequest) Validate() error {
	if ivvr.LandlordID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "landlord_id")
	}

	return nil
}
