package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/app/domain/rto"
)

type UpdateLeadTenantUserRequest struct {
	Rto *rto.Rto
}

func (ultur *UpdateLeadTenantUserRequest) Validate() error {
	if ultur.Rto == nil {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "rto")
	}

	return nil
}
