package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type UpdateStateToActiveRequest struct {
	ID string
}

func (ustar *UpdateStateToActiveRequest) Validate() error {
	if ustar.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
