package usecase

import (
	"fmt"

	"gitlab.mashroom.com/mashroom/backend/common/lib/constants"
)

type UpdateStateToActiveRollingTenancyRequest struct {
	ID string
}

func (ustartr *UpdateStateToActiveRollingTenancyRequest) Validate() error {
	if ustartr.ID == "" {
		return fmt.Errorf(constants.ParameterCannotBeEmpty, "id")
	}

	return nil
}
