package rto_test

import (
	"testing"

	mocknotification "gitlab.mashroom.com/mashroom/backend/notification/api/mock"
	"gitlab.mashroom.com/mashroom/backend/offer/internal/app/service/rto"
	"gitlab.mashroom.com/mashroom/backend/offer/test"

	"github.com/golang/mock/gomock"
	. "github.com/smartystreets/goconvey/convey"
)

func TestNotificationService(t *testing.T) {
	if test.CanRunTests() {
		Convey("NotificationService", t, func() {
			ctrl := gomock.NewController(t)
			defer ctrl.Finish()

			notificationServiceClient := mocknotification.NewMockNotificationServiceClient(ctrl)
			srv := rto.NewNotificationService(notificationServiceClient, repository)
			So(srv, ShouldImplement, (*rto.NotificationService)(nil))
		})
	}
}
